Skip to main content
GET
/
public
/
{user_id}
/
orders
/
{publicOrder_uuid}
Show Order
curl --request GET \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "uuid": "7aa42f48-e20f-35e9-bb6c-ce83e723421a",
    "status": "draft",
    "placed_at": "2025-03-10T07:02:24.0000000+00:00",
    "expires_at": "2026-03-11T14:05:30.0000000+00:00",
    "sub_total": {
      "currency": "USD",
      "amount": "8645.00",
      "amount_minor": 864500
    },
    "discount_total": {
      "currency": "USD",
      "amount": "0.00",
      "amount_minor": 0
    },
    "tax_total": {
      "currency": "USD",
      "amount": "0.00",
      "amount_minor": 0
    },
    "credits_total": {
      "currency": "USD",
      "amount": "0.00",
      "amount_minor": 0
    },
    "total": {
      "currency": "USD",
      "amount": "8645.00",
      "amount_minor": 864500
    },
    "remaining_total": {
      "currency": "USD",
      "amount": "8645.00",
      "amount_minor": 864500
    },
    "total_before_tax": {
      "currency": "USD",
      "amount": "8645.00",
      "amount_minor": 864500
    },
    "tax_breakdown": [
      {
        "amount": {
          "currency": "USD",
          "amount": "0.00",
          "amount_minor": 0
        },
        "code": "Test Tax",
        "name": "some-tax",
        "rate": 10,
        "calculator_type": "percent"
      }
    ],
    "discount_breakdown": [
      {
        "amount": {
          "currency": "USD",
          "amount": "0.00",
          "amount_minor": 0
        },
        "code": "Test Discount",
        "name": "some-discount",
        "rate": 10,
        "calculator_type": "percent"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

publicOrder_uuid
string
required

Query Parameters

include
enum<string>

A comma-separated list of relationships to include. Multiple parameters are allowed.

Available options:
paymentIntents
Example:

"paymentIntents"

Response

200 - application/json
data
object